Patchwork Lucid LBM pull request, LP621185

login
register
mail settings
Submitter Tim Gardner
Date Aug. 26, 2010, 2:23 p.m.
Message ID <20100826142325.8429FF88E5@sepang.rtg.net>
Download mbox | patch
Permalink /patch/62781/
State Accepted
Delegated to: Stefan Bader
Headers show

Comments

Tim Gardner - Aug. 26, 2010, 2:23 p.m.
The following changes since commit eea9703400fd008febf00f90f4ec0515c1090c62:
  Stefan Bader (1):
        UBUNTU: Merging back 2.6.32-24.20 proposed release

are available in the git repository at:

  git://kernel.ubuntu.com/rtg/ubuntu-lucid-lbm master

Tim Gardner (1):
      UBUNTU: Add Conflicts/Replaces for compat-wireless

 debian/control.d/flavour-control.stub |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)
From e96f8024ac0a6224f0f56b70f4050281ba6e1836 Mon Sep 17 00:00:00 2001
From: Tim Gardner <tim.gardner@canonical.com>
Date: Thu, 26 Aug 2010 07:58:54 -0600
Subject: [PATCH] UBUNTU: Add Conflicts/Replaces for compat-wireless

Renaming linux-backports-modules-wireless to linux-backports-modules-compat-wireless-2.6.34
requires Conflicts/Replaces statements to correctly update from the original
package.

The Conflicts/Replaces statements could be dropped after the next ABI bump since
the possibility of Replace/Conflict will no longer exist.

Signed-off-by: Tim Gardner <tim.gardner@canonical.com>
---
 debian/control.d/flavour-control.stub |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)
Tim Gardner - Aug. 26, 2010, 2:27 p.m.
On 08/26/2010 08:23 AM, Tim Gardner wrote:
> The following changes since commit eea9703400fd008febf00f90f4ec0515c1090c62:
>    Stefan Bader (1):
>          UBUNTU: Merging back 2.6.32-24.20 proposed release
>
> are available in the git repository at:
>
>    git://kernel.ubuntu.com/rtg/ubuntu-lucid-lbm master
>
> Tim Gardner (1):
>        UBUNTU: Add Conflicts/Replaces for compat-wireless
>
>   debian/control.d/flavour-control.stub |    8 ++++++--
>   1 files changed, 6 insertions(+), 2 deletions(-)
>  From e96f8024ac0a6224f0f56b70f4050281ba6e1836 Mon Sep 17 00:00:00 2001
> From: Tim Gardner<tim.gardner@canonical.com>
> Date: Thu, 26 Aug 2010 07:58:54 -0600
> Subject: [PATCH] UBUNTU: Add Conflicts/Replaces for compat-wireless
>
> Renaming linux-backports-modules-wireless to linux-backports-modules-compat-wireless-2.6.34
> requires Conflicts/Replaces statements to correctly update from the original
> package.
>
> The Conflicts/Replaces statements could be dropped after the next ABI bump since
> the possibility of Replace/Conflict will no longer exist.
>
> Signed-off-by: Tim Gardner<tim.gardner@canonical.com>
> ---
>   debian/control.d/flavour-control.stub |    8 ++++++--
>   1 files changed, 6 insertions(+), 2 deletions(-)
>
> diff --git a/debian/control.d/flavour-control.stub b/debian/control.d/flavour-control.stub
> index 94074eb..853b403 100644
> --- a/debian/control.d/flavour-control.stub
> +++ b/debian/control.d/flavour-control.stub
> @@ -14,12 +14,16 @@ Architecture: ARCH
>   Section: SECTION_IMAGE
>   Priority: optional
>   Provides: =PROVIDES=
> -Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR
> +Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR, linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
> +Replaces: linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
>   Depends: linux-image-PKGVER-ABINUM-FLAVOUR
>   Pre-Depends: dpkg (>= 1.10.24)
>   Description: compat-wireless Linux modules for version PKGVER on DESC
>    This package contains compat-wireless modules supplied by Ubuntu for Linux
> - kernel PKGVER on DESC.
> + kernel PKGVER on DESC. It replaces the original package linux-backports-modules-wireless
> + with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
> + subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
> + linux-backports-modules-compat-wireless-2.6.36, etc.
>    .
>    You likely do not want to install this package directly. Instead, install
>    the linux-backports-modules-wireless-POCKET-FLAVOUR meta-package, which will ensure

Amended the original commit log with a BugLink.
Stefan Bader - Aug. 26, 2010, 3:17 p.m.
On 08/26/2010 04:23 PM, Tim Gardner wrote:
> The following changes since commit eea9703400fd008febf00f90f4ec0515c1090c62:
>   Stefan Bader (1):
>         UBUNTU: Merging back 2.6.32-24.20 proposed release
> 

This would look as I understood the explanation I was given. One question
though, I would have understood that the same addition is required for the 35
and the 34 version. IOW the new compat-wireless... replaces and conflicts with
the old wireless... too

-Stefan
> are available in the git repository at:
> 
>   git://kernel.ubuntu.com/rtg/ubuntu-lucid-lbm master
> 
> Tim Gardner (1):
>       UBUNTU: Add Conflicts/Replaces for compat-wireless
> 
>  debian/control.d/flavour-control.stub |    8 ++++++--
>  1 files changed, 6 insertions(+), 2 deletions(-)
> From e96f8024ac0a6224f0f56b70f4050281ba6e1836 Mon Sep 17 00:00:00 2001
> From: Tim Gardner <tim.gardner@canonical.com>
> Date: Thu, 26 Aug 2010 07:58:54 -0600
> Subject: [PATCH] UBUNTU: Add Conflicts/Replaces for compat-wireless
> 
> Renaming linux-backports-modules-wireless to linux-backports-modules-compat-wireless-2.6.34
> requires Conflicts/Replaces statements to correctly update from the original
> package.
> 
> The Conflicts/Replaces statements could be dropped after the next ABI bump since
> the possibility of Replace/Conflict will no longer exist.
> 
> Signed-off-by: Tim Gardner <tim.gardner@canonical.com>
> ---
>  debian/control.d/flavour-control.stub |    8 ++++++--
>  1 files changed, 6 insertions(+), 2 deletions(-)
> 
> diff --git a/debian/control.d/flavour-control.stub b/debian/control.d/flavour-control.stub
> index 94074eb..853b403 100644
> --- a/debian/control.d/flavour-control.stub
> +++ b/debian/control.d/flavour-control.stub
> @@ -14,12 +14,16 @@ Architecture: ARCH
>  Section: SECTION_IMAGE
>  Priority: optional
>  Provides: =PROVIDES=
> -Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR
> +Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR, linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
> +Replaces: linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
>  Depends: linux-image-PKGVER-ABINUM-FLAVOUR
>  Pre-Depends: dpkg (>= 1.10.24)
>  Description: compat-wireless Linux modules for version PKGVER on DESC
>   This package contains compat-wireless modules supplied by Ubuntu for Linux
> - kernel PKGVER on DESC.
> + kernel PKGVER on DESC. It replaces the original package linux-backports-modules-wireless
> + with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
> + subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
> + linux-backports-modules-compat-wireless-2.6.36, etc.
>   .
>   You likely do not want to install this package directly. Instead, install
>   the linux-backports-modules-wireless-POCKET-FLAVOUR meta-package, which will ensure
Tim Gardner - Aug. 26, 2010, 4:43 p.m.
On 08/26/2010 09:17 AM, Stefan Bader wrote:
> On 08/26/2010 04:23 PM, Tim Gardner wrote:
>> The following changes since commit eea9703400fd008febf00f90f4ec0515c1090c62:
>>    Stefan Bader (1):
>>          UBUNTU: Merging back 2.6.32-24.20 proposed release
>>
>
> This would look as I understood the explanation I was given. One question
> though, I would have understood that the same addition is required for the 35
> and the 34 version. IOW the new compat-wireless... replaces and conflicts with
> the old wireless... too
>
> -Stefan

You're absolutely correct. What a PITA. I think for the 
compat-wireless-2.6.35 the new package only conflicts, i.e., replaces is 
not needed.

rtg
-----------------------------------
The following changes since commit eea9703400fd008febf00f90f4ec0515c1090c62:
   Stefan Bader (1):
         UBUNTU: Merging back 2.6.32-24.20 proposed release

are available in the git repository at:

   git://kernel.ubuntu.com/rtg/ubuntu-lucid-lbm master

Tim Gardner (1):
       UBUNTU: Add Conflicts/Replaces for compat-wireless

  debian/control.d/flavour-control.stub |   10 +++++++---
  1 files changed, 7 insertions(+), 3 deletions(-)
Stefan Bader - Aug. 26, 2010, 5:40 p.m.
Applied to lucid-lbm and uploading...

Patch

diff --git a/debian/control.d/flavour-control.stub b/debian/control.d/flavour-control.stub
index 94074eb..853b403 100644
--- a/debian/control.d/flavour-control.stub
+++ b/debian/control.d/flavour-control.stub
@@ -14,12 +14,16 @@  Architecture: ARCH
 Section: SECTION_IMAGE
 Priority: optional
 Provides: =PROVIDES=
-Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR
+Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR, linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
+Replaces: linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
 Depends: linux-image-PKGVER-ABINUM-FLAVOUR
 Pre-Depends: dpkg (>= 1.10.24)
 Description: compat-wireless Linux modules for version PKGVER on DESC
  This package contains compat-wireless modules supplied by Ubuntu for Linux
- kernel PKGVER on DESC.
+ kernel PKGVER on DESC. It replaces the original package linux-backports-modules-wireless
+ with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
+ subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
+ linux-backports-modules-compat-wireless-2.6.36, etc.
  .
  You likely do not want to install this package directly. Instead, install
  the linux-backports-modules-wireless-POCKET-FLAVOUR meta-package, which will ensure